from django.utils.translation import gettext_lazy as _
from wagtail.admin.viewsets.chooser import ChooserViewSet


class AssociationChooserViewSet(ChooserViewSet):
    model = "associations.AssociationPage"
    icon = "group"
    choose_one_text = _("Choose an association")
    choose_another_text = _("Choose another association")
    edit_item_text = _("Edit this association")
    # form_fields = ["name"]


association_chooser_viewset = AssociationChooserViewSet("association_chooser")
